## $Id: viewlets.py 15653 2019-10-09 09:28:35Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

import grok
from waeup.kofa.interfaces import REQUESTED
from waeup.kofa.browser.viewlets import ManageActionButton
from kofacustom.iuokada.students.interfaces import (
    ICustomStudentStudyCourse, ICustomStudentStudyLevel)
from waeup.kofa.students.fileviewlets import (
    StudentFileDisplay, StudentFileUpload, StudentImage)
from waeup.kofa.students.browser import (
    ExportPDFClearanceSlip, StudyCourseDisplayFormPage,
    StudyLevelDisplayFormPage)

from kofacustom.nigeria.interfaces import MessageFactory as _

# Signature

class SignatureDisplay(StudentFileDisplay):
    """Signature display viewlet.
    """
    grok.order(2)
    label = _(u'Signature')
    title = _(u'Signature Scan')
    download_name = u'signature'

class SignatureSlip(SignatureDisplay):
    grok.view(ExportPDFClearanceSlip)

class SignatureUpload(StudentFileUpload):
    """Signature upload viewlet.
    """
    grok.order(2)
    label = _(u'Signature')
    title = _(u'Signature Scan')
    download_name = u'signature'
    tab_redirect = '?tab2'

class SignatureImage(StudentImage):
    """Renders acceptance letter scan.
    """
    grok.name('signature')
    download_name = u'signature'

